%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           openzilla
Version:        0.1
Release:        3%{?dist}
Summary:        An off-line desktop client for Bugzilla bug tracking System
Group:          Development/System
License:        GPLv2+
URL:            http://gitorious.org/openzilla
Source0:        http://rtnpro.fedorapeople.org/bama/openzilla/openzilla-%{version}.tar.gz
#BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires:  python-devel
Requires: pygtk2,pybugz,python-sqlite2,PyYAML
       

%description
openZilla is a python interface to Bugzilla.

It is conceived as a tool to speed up the workflow Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. Developers alike can easily extract attachments and close bugs.

openZilla is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  


%prep
%setup -q


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/openzilla
%{_datadir}/openzilla/
%{_datadir}/pixmaps/openzilla.png
%{_datadir}/applications/openzilla*.desktop
%{python_sitelib}/*.egg-info
%doc README*



%changelog
* Tue Sep 21 2010 Bamacharan Kundu <bamachrn@gmail.com> 0.1-3
-RPM changes as to 21.09.2010

* Sat Sep 11 2010 Bamacharan Kundu <bamachrn@gmail.com> 0.1-2
-RPM with changes and bug fixes after release 0.1-1

* Fri Sep 10 2010 Bamacharan Kundu <bamachrn@gmail.com> 0.1-1
- Release Version 0.1

* Fri Aug 13 2010 Bamacharan Kundu <bamachrn@gmail.com> 0.1b-2
- Release version 0.1b

* Thu Aug 12 2010 Bamacharan Kundu <bamachrn@gmail.com> 0.1b-1
- Release version 0.1b

